package cn.com.tenlion.materialstore.pojo.vos.materialaudio;

import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: MaterialAudioVO
 * @Description: 音频素材
 * @Author: CodeFactory
 * @Date: 2021-05-28 10:41:09
 * @Version: 3.0
 **/
@ApiModel
public class MaterialAudioVO {

    @ApiModelProperty(name = "materialAudioFileId", value = "音频文件ID")
    private String materialAudioFileId;
    @ApiModelProperty(name = "materialId", value = "素材包ID")
    private String materialId;
    @ApiModelProperty(name = "materialOrder", value = "排序")
    @CheckNumberAnnotation(name = "排序")
    private Integer materialOrder;
    @ApiModelProperty(name = "materialRemark", value = "备注")
    private String materialRemark;

    public String getMaterialAudioFileId() {
        return materialAudioFileId == null ? "" : materialAudioFileId.trim();
    }

    public void setMaterialAudioFileId(String materialAudioFileId) {
        this.materialAudioFileId = materialAudioFileId;
    }

    public String getMaterialId() {
        return materialId == null ? "" : materialId.trim();
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public Integer getMaterialOrder() {
        return materialOrder == null ? 0 : materialOrder;
    }

    public void setMaterialOrder(Integer materialOrder) {
        this.materialOrder = materialOrder;
    }

    public String getMaterialRemark() {
        return materialRemark == null ? "" : materialRemark.trim();
    }

    public void setMaterialRemark(String materialRemark) {
        this.materialRemark = materialRemark;
    }


}
